Subject: Re: bug#22789: 25.1.50; In last master build https connections stop working

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Feb 2016 21:03:00 +1100

Alain Schneble <[email-masked]> writes:

> What I had in mind was to start the GnuTLS handshake (or even
> gnutls_boot) only after the async socket has properly been connected.  I
> just consulted the GnuTLS documentation and I understand now that what
> you write above is indeed a supported GnuTLS scenario.  But I think it
> is not an optimal one, because the number of TLS handshake retries will
> then depend on the time it takes to setup the socket connection, IIUC
> (see process.c: abort if p->gnutls_handshakes_tried >
> GNUTLS_EMACS_HANDSHAKES_LIMIT).

We could just increase that limit.  It's currently set to 100, which is
a number that's taken from thin air, I think?  It should probably be a
time-based handshake limit instead -- try handshaking for, say, ten
seconds before giving up...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no